List a spend control's associated objects

List the Penny objects (with their type and ID) that a spend control is currently associated with.

Required permissions: spend_control:read.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

spend_control_idstringRequired
The ID of the spend control.

Headers

X-Penny-As-Businessstring or nullOptional

Act on behalf of another business that has granted you access. Requires the business:act_as permission.

Query parameters

page_sizeintegerOptional1-3000Defaults to 100
Maximum number of results to return per page. Defaults to 100.
next_page_tokenstring or nullOptional
Pagination key used to retrieve the next page of results.

Response

The objects associated with the spend control.
itemslist of objects
The list of items returned by the API.
countinteger
The total number of items returned in this response.
next_page_tokenstring or nullOptional
A token for retrieving the next page of results, if applicable.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error